OpenPGP 采用纯 Rust 实现,采用宽泛许可证
rPGP 是按照 [RFC9580] 所规定的 OpenPGP 的纯 Rust 实现。它支持常用的 v4 格式,以及最新的 v6 密钥格式和 AEAD 加密机制。(此外,还支持历史 RFC [RFC4880] 和 [RFC6637] 中规定的所有格式,包括 v3 密钥和签名。)
rPGP 提供了一个灵活的低级 API。它使用户能够以最兼容的方式构建更高级别的 PGP 工具。此外,它完全支持 [Autocrypt 1.1 电子邮件加密规范] 所需的所有功能。
debian-packaging]: 用于处理 Debian 软件包的库程序himalaya]: 用于管理电子邮件的 CLI 工具(包括 [pgp-lib] 组件)oct-git]: Git 签名和验证后端(重点关注 OpenPGP 卡)prs-lib]: 一个基于 pass 的 CLI 密码管理器(带有可选的 rPGP 后端,包括对 OpenPGP 卡的支持)rpgpie]: 一个实验性的 OpenPGP 语义库rpm]: 用于解析和创建 RPM 文件的纯 Rust 库rsop]: 基于 rPGP 和 rpgpie 的 [SOP] CLI 工具rsop-oct]: 用于 OpenPGP 卡设备的 [SOP] CLI 工具(也基于 rPGP 和 rpgpie)signstar]: 用于 HSM 后端的签名隔离框架voa-openpgp]: 适用于 [VOA] 的 OpenPGP 实现没有看到您的项目吗?请发送 PR :)
暂无开放 Issues,或尚未同步最近议题。